<?php
/**
 * @author Tomáš Blatný
 */

namespace Axima\Pays\Utils;


use Exception;

class RedirectException extends Exception
{

	/** @var string */
	private $url;

	public function __construct($url, $message = '', $code = NULL, $previous = NULL)
	{
		parent::__construct($message, $code, $previous);
		$this->url = $url;
	}

	/**
	 * @return string
	 */
	public function getUrl()
	{
		return $this->url;
	}

}
